package cn.hanghui.outapi.platform.tenant.entity.enums;

import cn.hanghui.outapi.platform.common.utils.Preconditions;
import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public enum ReaderBrandEnum {

    DXDHYNZ(1, "东信多合一内置"),
    ;

    public static ReaderBrandEnum queryEnumByCode(Integer code) {
        if (Preconditions.isBlank(code)) {
            return null;
        }
        for (ReaderBrandEnum enumObject : values()) {
            if (enumObject.code == code.intValue()) {
                return enumObject;
            }
        }
        return null;
    }

    private int code;
    private String desc;
}
